<div id="evaluationForm" class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="kAffiliatepartner">Partner</label>
                    </span>
                    <span class="input-group-wrap">
                        <select class="form-control" id="kAffiliatepartner" name="kAffiliatepartner">
                            {foreach from=$Partner_arr item=Partner}
                                {if $Partner->getKampagne->kKampagne}
                                    <option value="{$Partner->id}">{$Partner->getKunde->cVorname} {$Partner->getKunde->cNachname} ({$Partner->getKampagne->cName|replace:'Affiliate '})</option>
                                {/if}
                            {/foreach}
                        </select>
                    </span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="dStart">von</label>
                    </span>
                    <span class="input-group-wrap">
                        <div class="input-append date">
                            <input id="dStart" name="dStart" value="{$dStart}" type="text" class="form-control add-on" />
                        </div>
                    </span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon">
                        <label for="dEnde">bis</label>
                    </span>
                    <span class="input-group-wrap">
                        <div class="input-append date">
                            <input id="dEnde" name="dEnde" value="{$dEnde}" type="text" class="form-control add-on" />
                        </div>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <div class="panel-footer">
        <button id="los" class="btn btn-primary">Auswertung anzeigen</button>
    </div>
</div>


<div id="evaluation">
    <table id="eval_tab" class="table">
        <thead>
            <tr>
                <th>Bestellt am</th>
                <th>Bezahlt am</th>
                <th>Versandt am</th>
                <th>Bestellung</th>
                <th>Kunde</th>
                <th>Bestellwert</th>
                <th>Versand</th>
                <th>Bestellwert ohne Versand</th>
                <th>Provision in %</th>
                <th>Provision</th>
            </tr>            
        </thead>
        <tbody>
        </tbody>
        <tfoot>
        </tfoot>
    </table>
</div>

<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}tpl/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript">{literal}

    $(function ()
    {

        $('#evaluationForm .date').datetimepicker({
            pickTime: false,
            format: 'yyyy-MM-dd'
        });


        $('#los').click(function ()
        {
            $.ajax({
                url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_affiliateprogramm_ajax.php?action=eval',
                type: "POST",
                data: {
                    id: $('#kAffiliatepartner').val(),
                    dStart: $('#dStart').val(),
                    dEnde: $('#dEnde').val()
                },
                dataType: 'json',
                success: function (data)
                {
                    if (data !== "" || data !== null)
                    {
                        $('#eval_tab > tbody').empty();
                        $.each(data.body, function (key, elem)
                        {
                            var tr = $('<tr />');
                            tr.append('<td>' + elem.Bestellung.dErstellt + '</td>');
                            tr.append('<td>' + elem.Bestellung.dBezahltDatum + '</td>');
                            tr.append('<td>' + elem.Bestellung.dVersandDatum + '</td>');
                            tr.append('<td>' + elem.Bestellung.cBestellNr + '</td>');
                            tr.append('<td>' + elem.Kunde.cVorname + ' ' + elem.Kunde.cNachname + ' (' + elem.Kunde.cKundenNr + ')</td>');
                            tr.append('<td class="tright">' + elem.Bestellung.cBestellsumme + '</td>');
                            tr.append('<td class="tright">' + elem.Bestellung.cVersandpreis + '</td>');
                            tr.append('<td class="tright">' + elem.Bestellung.cBestellsummeOhneVersand + '</td>');
                            tr.append('<td class="tright">' + elem.Bestellung.cProvisionProzent + '</td>');
                            tr.append('<td class="tright">' + elem.Bestellung.cProvisionBetrag + '</td>');
                            $('#eval_tab > tbody').append(tr);
                        });

                        var tr = $('<tr class="active" />');
                        tr.append('<td colspan="5" class="tright">Gesamt</td>');
                        tr.append('<td class="tright">' + data.foot.cBestellsumme + '</td>');
                        tr.append('<td class="tright">' + data.foot.cVersandpreis + '</td>');
                        tr.append('<td class="tright">' + data.foot.cBestellsummeOhneVersand + '</td>');
                        tr.append('<td class="tright"></td>');
                        tr.append('<td class="tright">' + data.foot.cProvisionBetrag + '</td>');
                        $('#eval_tab > tfoot').html(tr);
                    }
                },
                error: function (a, b)
                {
                    alert("Fehler!");
                }
            });
        });
    });

    {/literal}</script>

